Stories
Slash Boxes
Comments

Slash Open Source Project

This discussion has been archived. No new comments can be posted.
The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login
Loading... please wait.
  • I'm currently in the process of deploying a new slashsite running 2.2.6. I was wondering if I should upgrade to CVS or not. What are the benefits of doing so? Is 2.2.6 secure or are their known security problems with it? Also I understand that the slashcode people don't have time to support upgrading to CVS from 2.2.6 but are there any major differences that require things like database schema modifications, etc.? New variables perhaps?
    • I was wondering if I should upgrade to CVS or not.

      Sure. I did. Lots of us did.

      Is 2.2.6 secure or are their known security problems with it

      Look at the sourceforge Slash project page. Read the bugs list. None that I'm aware of, if that helps you.

      lso I understand that the slashcode people don't have time to support upgrading to CVS from 2.2.6

      Not true. Where did you read this? There are directions on how to do this in the documentation that comes with Slash.

      are there any major differences that req
      --
      lottadot [lottadot.com]
      • by philipdl71 (5859) on Sunday February 01 2004, @02:30PM (#6166)

        >> lso I understand that the slashcode people don't have time to support upgrading to CVS from 2.2.6

        > Not true. Where did you read this? There are directions on how to do this in the documentation that comes with Slash.

        I skimmed through the INSTALL file and must have missed the two lines about upgrading 2.2 -> CVS. I just assumed at that point that the developers weren't providing any support at all and I'd have to wait for 2.3.0.

        Thanks for the info though, I'm in the process of upgrading my slashsite to CVS and hopefully when it's ready you'll all see a YASS announcement on here :)

        • well i'm stuck trying to upgrade the database. I keep getting errors as I run through the upgrades file. I even started doing it line by line and came across problems throughout it when trying to upgrade from 2.2.6. Something tells me hacking this upgrades file to actually make it work isn't going to be easy.

          Can someone tell me if they just paste everything in and ignore all the errors if it will just work (or is it designed to?). My first error for example is about the "people" table which doesn't exi